 #ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include<qpainter.h>
#include<QtWidgets>
#include<QMouseEvent>
#include<sktsetstyle.h>


namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow,public CSktSetStyle
{
    Q_OBJECT
public:
    virtual void paintEvent(QPaintEvent *event);
    virtual void mousePressEvent(QMouseEvent *event);
    virtual void mouseMoveEvent(QMouseEvent *event);
    virtual bool eventFilter(QObject * watched,QEvent *event);
 private slots:
    void sktclosebtnslots();
    void sktmaxbtnslots();
    void sktminbtnslots();
    void sktindexbtnslots();
    void sktvideobtnslots();

  private:
    void sktsetsingal();
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
void SktcInitCmaSys();

private:
    Ui::MainWindow *ui;
private:
    QPixmap  m_oQPixmap ;
    QPixmap  m_oQPixmap2 ;
    QPoint   m_oQpoint ;
};
#endif // MAINWINDOW_H
